Skip to content

Run an ID Verification job

Request

Runs an ID Verification job.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
individualEntityIDVerificationJobstringrequired

The individualEntityIDVerificationJob id.

Bodyapplication/jsonrequired
entityResourceNamestring(entity_resource_name)^entities/[a-z0-9-]+$required

Required. The resource name of the entity to screen. Format: entities/{entity} string.not_contains = "/-"

idTypestring(id_type)required

Required. The type of document to verify.

Enum:"DOCUMENT_TYPE_UNSPECIFIED""DRIVERS_LICENCE""PASSPORT""AU_MEDICARE_CARD""VISA""BIRTH_CERTIFICATE"
curl -i -X POST \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/individualEntityIDVerificationJobs/{individualEntityIDVerificationJob}:run' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "entityResourceName": "entities/acme-corp-001",
    "idType": "DOCUMENT_TYPE_UNSPECIFIED"
  }'

Responses

Success

Bodyapplication/json
One of:

This resource represents a long-running operation that is the result of a network API call.

namestring(name)

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadataobject(metadata)

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.

doneboolean(done)

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

errorobject(error)required

The error result of the operation in case of failure or cancellation.

Response
{ "name": "string", "metadata": { "type": "string", "value": "string" }, "done": true, "error": { "code": 0, "message": "string", "details": [] } }